Subject: Re: bug#23067: 25.0.92; A detail in the doc of query-replace

From: John Wiegley <[email-masked]>
Date: Sat, 26 Mar 2016 15:06:02 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

> However, I must say that it makes very little sense to me to make such
> corrections only in a couple of functions, when we have gobs of them with
> the same problem in the doc strings, so much so that I wonder whether "end
> of buffer" isn't already a widely accepted synonym of "end of the buffer's
> accessible portion", and we shouldn't bother, certainly not with fixing that
> one function at a time. I won't be surprised if the same issue has crept in
> the manuals as well.

I agree, Eli. Why I applaud the desire for correctness, if something in our
documentation isn't actively producing user confusion, there is no pressing
need to be pedantic. I think "End of buffer" is colloquially understood to be
where M-> takes you, and I've never found myself troubled by the fact that, at
times, there might be more text after that point.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2